<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Reinscripcion;

class ReinscripcionController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('admin.reinscripcion.nuevo');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        if(isset($_COOKIE['dip'])){
            $usuario=json_decode($_COOKIE['dip']);
            $ide=$usuario->idDP;
        }else{
            return response()->json([
                'estado'=>'error',
                'mensaje'=>'Su sesión a caducado por favor inicie de nuevo.'
            ]);
        }
        if ($request['documento']!=null&&$request["maestria"]!=null&&$request["periodo"]!=null) {
                       
            $ruta = '/pdf/procesos/reinscripcion/';
            $documento=$request->file("documento");
            $numero=Reinscripcion::latest('id')->first();
            if($numero==null){
                $numero=['id'=>0];
            }

            $nombre="Proceso de reinscripcion ".($numero['id']+1).".pdf";

            $documento->move(getcwd().$ruta,$nombre);

            $maestria=$request["maestria"];
            $periodo=$request["periodo"];

            Reinscripcion::create(['documento'=>$nombre,'id_usuario'=>$ide,'maestria'=>$maestria,'periodo'=>$periodo]);
            return response()->json([
                'estado'=>'success',
                'mensaje'=>'Archivo de reinscripcion subido con éxito.'
            ]);
        }else{
            return response()->json([
            'estado'=>'error',
            'mensaje'=>'No as llenado todos los campos requeridos.'
            ]);
        }
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
